PermissionsCache (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.auth

## Class PermissionsCache

- java.lang.Object
- - org.apache.cassandra.auth.PermissionsCache

- All Implemented Interfaces:
    PermissionsCacheMBean

      public class PermissionsCache
      extends java.lang.Object
      implements PermissionsCacheMBean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionsCache(IAuthorizer authorizer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<Permission>` | `getPermissions(AuthenticatedUser user, IResource resource)`
    `int` | `getUpdateInterval()`
    `int` | `getValidity()`
    `void` | `invalidate()`
    `void` | `setUpdateInterval(int updateInterval)`
    `void` | `setValidity(int validityPeriod)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionsCache

          public PermissionsCache(IAuthorizer authorizer)

  - ### Method Detail

    - #### getPermissions

          public java.util.Set<Permission> getPermissions(AuthenticatedUser user,
                                                          IResource resource)

    - #### invalidate

          public void invalidate()

      Specified by:
        `invalidate` in interface `PermissionsCacheMBean`

    - #### setValidity

          public void setValidity(int validityPeriod)

      Specified by:
        `setValidity` in interface `PermissionsCacheMBean`

    - #### getValidity

          public int getValidity()

      Specified by:
        `getValidity` in interface `PermissionsCacheMBean`

    - #### setUpdateInterval

          public void setUpdateInterval(int updateInterval)

      Specified by:
        `setUpdateInterval` in interface `PermissionsCacheMBean`

    - #### getUpdateInterval

          public int getUpdateInterval()

      Specified by:
        `getUpdateInterval` in interface `PermissionsCacheMBean`

Copyright © 2018 The Apache Software Foundation